View Issue Details

IDProjectCategoryView StatusLast Update
0014762LazarusLCLpublic2009-10-12 20:13
ReporterKrzysztof Dibowski Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014762: TMenuItem and subitems arrow state
DescriptionHi,
When I add subitems into menuitem at runtime, then little small arrow is showing on right side of item. But when I delete all subitems, arrow is still showing

Example. Put MainMenu on window, add some items like:

File
 |-TestItem1
 |-TestItem2

And add subitems into TestItem1 and delete them:

procedure TForm1.Button1Click(Sender: TObject);
 var
  aNewItem: TMenuItem;
begin
  aNewItem := TMenuItem.Create(MainMenu1);
  aNewItem.Caption := 'Test';
  TestMenuItem2.Add(aNewItem);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if TestMenuItem2.Count>0 then begin
    TestMenuItem2.Delete(0);
  end;
end;
Additional InformationLazarus SVN Revision 22061 from 2009-10-07. FPC 2.2.4. Windows Vista 32bit SP1
TagsNo tags attached.
Fixed in Revision22080,22092
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2009-10-10 05:54

manager   ~0031242

Please test and close if ok.

Krzysztof Dibowski

2009-10-12 20:13

reporter   ~0031277

Now it work. Thanks :)

Issue History

Date Modified Username Field Change
2009-10-08 19:47 Krzysztof Dibowski New Issue
2009-10-08 19:47 Krzysztof Dibowski Widgetset => Win32/Win64
2009-10-09 00:05 Paul Ishenin Status new => assigned
2009-10-09 00:05 Paul Ishenin Assigned To => Paul Ishenin
2009-10-10 05:54 Paul Ishenin Fixed in Revision => 22080,22092
2009-10-10 05:54 Paul Ishenin LazTarget => 0.9.30
2009-10-10 05:54 Paul Ishenin Status assigned => resolved
2009-10-10 05:54 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-10-10 05:54 Paul Ishenin Resolution open => fixed
2009-10-10 05:54 Paul Ishenin Note Added: 0031242
2009-10-10 05:54 Paul Ishenin Target Version => 0.9.30
2009-10-12 20:13 Krzysztof Dibowski Status resolved => closed
2009-10-12 20:13 Krzysztof Dibowski Note Added: 0031277